Subject: Re: [PATCH v2 3/3] gnu: Add sysbench.

From: Maxime Devos <[email-masked]>
Date: Tue, 08 Mar 2022 18:27:14 +0100

Maxim Cournoyer schreef op di 08-03-2022 om 09:39 [-0500]:
> > Maxim Cournoyer schreef op ma 07-03-2022 om 23:38 [-0500]:
> > > +                           (search-input-file inputs
> > > +                                             
> > > "xml/dtd/docbook/catalog.xml")
> > > +                           "\n")))
> > 
> > 
> > docbook-xml-4.1.2 is in native-inputs, not inputs, so this needs to
> > be
> > (search-input-file (or native-inputs inputs) ...) such that
> > 'search-
> > input-file' succeeds even when compiling natively.
> 
> Oops!  Good catch.  I'd be nice to have all this cross-compilation
> gotchas and knowledge captured in a node under 'Contributing'; I keep
> forgetting, and I'm sure I'm not alone :-).

FWIW, I've seen a few similar issues with docbook in the past (*)
and it should be feasible to write a linter for these kind of
inputs/native-inputs+docbook issues -- the 'wrapper-inputs' linter
(which checks that 'bash/bash-minimal' is in the inputs whenever
'wrap-program' is used) might be a good starting point.

This also seems like something (guix scripts style) could be taught to
automatically correct but I'm not familiar with that part of Guix.

(*) If I do 'git grep -F xml/dtd/docbook' and select a few cases, I see
quite a few suspicious uses ...

Greetings,
Maxime